Tool
deployment_cloud_sql_instance_resize
Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).
Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).
Behavior
- HTTP
PATCH /deployment/cloud-sql/instances/:instanceId/resize
Arguments
Name | Type | Required | Description |
|---|---|---|---|
tier | string | • | No description in the catalog. |
instanceId | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
tier | string | • | |
label | string | • | |
region | string | • | |
status | string | • | |
createdAt | string | • | |
pgVersion | string | • | |
privateIp | string | • | |
productId | string | • | |
updatedAt | string | • | |
pitrEnabled | boolean | • | |
backupsEnabled | boolean | • | |
connectionName | string | • | |
lastErrorMessage | string | • | |
backupConfigObservedAt | string | • |
Try it
Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).